% Created 2017-12-08 Fri 06:29
% Intended LaTeX compiler: pdflatex
\documentclass[a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{graphicx}
\usepackage{grffile}
\usepackage{longtable}
\usepackage{wrapfig}
\usepackage{rotating}
\usepackage[normalem]{ulem}
\usepackage{amsmath}
\usepackage{textcomp}
\usepackage{amssymb}
\usepackage{capt-of}
\usepackage{hyperref}
\author{R.S. Bhalla}
\date{\today}
\title{Using Reshape and GGplots for Graphics in R}
\hypersetup{
 pdfauthor={R.S. Bhalla},
 pdftitle={Using Reshape and GGplots for Graphics in R},
 pdfkeywords={},
 pdfsubject={},
 pdfcreator={Emacs 25.3.2 (Org mode 9.1.4)}, 
 pdflang={English}}
\begin{document}

\maketitle
\setcounter{tocdepth}{2}
\tableofcontents


\section*{Summary}
\label{sec:org6d5bbfd}

A quick guide to using grammar of graphics implementation (ggplot2) for publication quality data followed by more complex graphs which require data to be re-organised using reshape2. The tutorial dataset is ESRI shape files and you'll need the maptools library to read this.

\section*{Hands on ggplot2 with fish data}
\label{sec:orga2b5b61}

\begin{itemize}
\item Specify the working directory and load the required libraries 

\begin{verbatim}
setwd("~/Events/Workshops/R_101/Tutorials/ReshapeGGPlot/")
library(ggplot2)
library(maptools)
\end{verbatim}

\begin{center}
\begin{tabular}{l}
lattice\\
maptools\\
sp\\
reshape2\\
ggplot2\\
readxl\\
stats\\
graphics\\
grDevices\\
utils\\
datasets\\
methods\\
base\\
\end{tabular}
\end{center}

\item Read in the data

\begin{verbatim}
fishpic<-readShapePoints("fishfinder2")
fishdf<-as.data.frame(fishpic)
names(fishdf)<-toupper(names(fishdf))
head(fishpic)
\end{verbatim}

\begin{verbatim}
Warning message:
use rgdal::readOGR or sf::st_read
	   coordinates  id      lat     long depth      substrate      net_type
0 (79.92274, 11.89295) 122 11.89295 79.92274  96.7 Sandy and Clay Kanankaruthai
1 (79.81509, 11.54555) 166 11.54555 79.81509  61.3 Sandy and Clay       Kavalai
2 (79.81149, 11.54307) 168 11.54307 79.81149  58.6 Sandy and Clay       Kavalai
3 (79.81004, 11.54436) 169 11.54436 79.81004  56.4 Sandy and Clay       Kavalai
4 (79.81032, 11.56936) 172 11.56936 79.81032  49.3 Sandy and Clay       Kavalai
5 (79.80698, 11.48911) 185 11.48911 79.80698  39.1 Sandy and Clay       Kavalai
  mesh boat_type boat_lengt motor_type motor_hp crew_size notes slno net_weight
0   32 FRP-small         24    greaves       10         3  <NA>   12        100
1   28 FRP-small         24    greaves       10         4  <NA>    5        100
2   28 FRP-small         24    greaves       10         5  <NA>    7        100
3   28 FRP-small         24    greaves       10         4  <NA>    8        100
4   28 FRP-small         24    greaves       10         4  <NA>   11        100
5   28 FRP-small         24    greaves       10         3  <NA>    2         75
  waypoint no_of_boat no_of_bo_1 boat_type2 motor_ty_1 motor_hp2 boat_len_1
0      469          1          0       <NA>       <NA>      <NA>       <NA>
1      557          1          0       <NA>       <NA>      <NA>       <NA>
2      559          1          0       <NA>       <NA>      <NA>       <NA>
3      560          1          0       <NA>       <NA>      <NA>       <NA>
4      565          1          0       <NA>       <NA>      <NA>       <NA>
5      607          1          0       <NA>       <NA>      <NA>       <NA>
       date_        place family_tar           family_cau menatrisk
0 2008-03-04  Pondicherry Scombridae           Scombridae  Low risk
1 2008-04-12 Mudasaloodai  Clupeidae            Clupeidae  Low risk
2 2008-04-12 Mudasaloodai  Clupeidae            Clupeidae  Low risk
3 2008-04-12 Mudasaloodai  Clupeidae            Clupeidae  Low risk
4 2008-04-12 Mudasaloodai  Clupeidae Scombridae;Clupeidae  Low risk
5 2008-04-13 Mudasaloodai  Clupeidae            Clupeidae  Low risk
\end{verbatim}

\item Simple box plot

\begin{verbatim}
ggplot(fishdf, aes(x = MOTOR_TYPE, y = DEPTH)) + 
  geom_boxplot() 
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{bxp.png}
\end{center}

\item Add a facet to the box plot so data is broken up into panels

\begin{verbatim}
ggplot(fishdf, aes(x = MOTOR_TYPE, y = DEPTH)) + geom_boxplot() +facet_wrap(~SUBSTRATE)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{bxp_facet.png}
\end{center}

\item Add a second facet
\begin{verbatim}
ggplot(fishdf, aes(x = MOTOR_TYPE, y = DEPTH)) + geom_boxplot() +facet_wrap(~PLACE+SUBSTRATE)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{bxp_facet2.png}
\end{center}

\item Plot crew size and depth
\begin{verbatim}
ggplot(fishdf, aes(x = CREW_SIZE, y = DEPTH)) + geom_point()
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{crew_depth.png}
\end{center}

\item Add faced to crew size and depth

\begin{verbatim}
ggplot(fishdf, aes(x = CREW_SIZE, y = DEPTH)) + geom_point() +facet_wrap(~PLACE+MENATRISK)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{crew_depth_facet.png}
\end{center}

\item Add color by substrate size by mesh
\begin{verbatim}
ggplot(fishdf, aes(x = CREW_SIZE, y = DEPTH, size = MESH,colour=SUBSTRATE)) + geom_point() +facet_wrap(~MENATRISK+PLACE,ncol = 2)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{mesh_substrate.png}
\end{center}

\item Plot color by substrate size by ILLEGAL mesh sizes
\begin{verbatim}
ggplot(fishdf, aes(x = CREW_SIZE, y = DEPTH, size = MESH,colour=factor(MESH<33))) + geom_point() +facet_wrap(~PLACE)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{illegal_mesh.png}
\end{center}

\item Plot  color by substrate size by ILLEGAL mesh--change the theme
\begin{verbatim}
ggplot(fishdf, aes(x = CREW_SIZE, y = DEPTH, size = MESH,colour=factor(MESH<33))) + geom_point() +facet_wrap(~PLACE)+theme_bw()
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{illegal_mesh_themed.png}
\end{center}

\item Plot a histogram of log depth change color to fill
\begin{verbatim}
ggplot(fishdf, aes(log(DEPTH),fill=factor(MESH<33)))  + geom_histogram() +facet_wrap(~PLACE)
\end{verbatim}

\begin{center}
\includegraphics[width=.9\linewidth]{hist_colour.png}
\end{center}
\end{itemize}
\end{document}
